Browse Source

fix reference to org.eclipse.equinox.util

master
Eyck Jentzsch 4 months ago
parent
commit
e88014ebba
6 changed files with 8 additions and 13 deletions
  1. +0
    -1
      com.minres.scviewer.database.leveldb/META-INF/MANIFEST.MF
  2. +0
    -1
      com.minres.scviewer.database.text/META-INF/MANIFEST.MF
  3. +2
    -1
      com.minres.scviewer.database.ui/META-INF/MANIFEST.MF
  4. +0
    -1
      com.minres.scviewer.database.vcd/META-INF/MANIFEST.MF
  5. +0
    -1
      com.minres.scviewer.e4.application/META-INF/MANIFEST.MF
  6. +6
    -8
      com.minres.scviewer.feature/feature.xml

+ 0
- 1
com.minres.scviewer.database.leveldb/META-INF/MANIFEST.MF View File

@ -9,7 +9,6 @@ Import-Package: org.osgi.framework;version="1.3.0"
Automatic-Module-Name: com.minres.scviewer.database.leveldb
Service-Component: OSGI-INF/*.xml
Require-Bundle: com.minres.scviewer.database;bundle-version="1.0.0",
org.eclipse.equinox.util;bundle-version="1.0.500",
org.eclipse.equinox.ds;bundle-version="1.4.200",
org.eclipse.osgi.services;bundle-version="3.4.0"
Bundle-ActivationPolicy: lazy

+ 0
- 1
com.minres.scviewer.database.text/META-INF/MANIFEST.MF View File

@ -8,7 +8,6 @@ Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Import-Package: org.osgi.framework;version="1.3.0"
Require-Bundle: com.minres.scviewer.database,
org.codehaus.groovy;bundle-version="2.5.8",
org.eclipse.equinox.util;bundle-version="1.0.500",
org.eclipse.equinox.ds;bundle-version="1.4.200",
org.eclipse.osgi.services;bundle-version="3.4.0",
com.google.guava;bundle-version="15.0.0"

+ 2
- 1
com.minres.scviewer.database.ui/META-INF/MANIFEST.MF View File

@ -7,5 +7,6 @@ Bundle-Vendor: MINRES Technologies GmbH
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Export-Package: com.minres.scviewer.database.ui
Require-Bundle: com.minres.scviewer.database,
org.eclipse.jface
org.eclipse.jface,
org.eclipse.swt
Automatic-Module-Name: com.minres.scviewer.database.ui

+ 0
- 1
com.minres.scviewer.database.vcd/META-INF/MANIFEST.MF View File

@ -6,7 +6,6 @@ Bundle-Version: 2.0.2.qualifier
Bundle-Vendor: MINRES Technologies GmbH
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: com.minres.scviewer.database;bundle-version="1.0.0",
org.eclipse.equinox.util;bundle-version="1.0.500",
org.eclipse.equinox.ds;bundle-version="1.4.200",
org.eclipse.osgi.services;bundle-version="3.4.0",
com.google.guava;bundle-version="15.0.0"

+ 0
- 1
com.minres.scviewer.e4.application/META-INF/MANIFEST.MF View File

@ -18,7 +18,6 @@ Require-Bundle: javax.inject;bundle-version="1.0.0",
com.minres.scviewer.database.ui,
com.minres.scviewer.database;bundle-version="1.0.0",
org.eclipse.equinox.ds;bundle-version="1.4.300",
org.eclipse.equinox.util;bundle-version="1.0.500",
org.eclipse.osgi.services;bundle-version="3.5.0",
org.eclipse.e4.core.services;bundle-version="2.0.0",
org.eclipse.osgi.services;bundle-version="3.5.0",

+ 6
- 8
com.minres.scviewer.feature/feature.xml View File

@ -30,11 +30,12 @@ http://www.eclipse.org/legal/epl-v10.html
<requires>
<import plugin="org.eclipse.equinox.ds" version="1.4.200" match="greaterOrEqual"/>
<import plugin="org.eclipse.equinox.util" version="1.0.500" match="greaterOrEqual"/>
<import plugin="org.eclipse.osgi.services" version="3.4.0" match="greaterOrEqual"/>
<import plugin="com.minres.scviewer.database" version="1.0.0" match="greaterOrEqual"/>
<import plugin="org.codehaus.groovy" version="1.8.6" match="greaterOrEqual"/>
<import plugin="com.google.guava" version="15.0.0" match="greaterOrEqual"/>
<import plugin="org.eclipse.osgi"/>
<import plugin="com.minres.scviewer.database" version="1.0.0" match="greaterOrEqual"/>
<import plugin="com.minres.scviewer.database.ui" version="1.0.0" match="greaterOrEqual"/>
<import plugin="com.minres.scviewer.database.ui.swt" version="1.0.0" match="greaterOrEqual"/>
<import plugin="org.eclipse.core.runtime"/>
<import plugin="org.eclipse.core.resources"/>
<import plugin="org.eclipse.jface.text"/>
@ -43,15 +44,12 @@ http://www.eclipse.org/legal/epl-v10.html
<import plugin="org.eclipse.ui.ide"/>
<import plugin="org.eclipse.ui.views.properties.tabbed"/>
<import plugin="org.eclipse.swt"/>
<import plugin="org.apache.ant"/>
<import plugin="com.google.guava" version="15.0.0" match="greaterOrEqual"/>
<import plugin="com.minres.scviewer.database.ui" version="1.0.0" match="greaterOrEqual"/>
<import plugin="com.minres.scviewer.database.ui.swt" version="1.0.0" match="greaterOrEqual"/>
<import plugin="org.eclipse.core.expressions" version="3.4.600" match="greaterOrEqual"/>
<import plugin="org.eclipse.jface"/>
<import plugin="org.junit"/>
<import plugin="org.eclipse.swt" version="3.103.1" match="greaterOrEqual"/>
<import plugin="org.eclipse.equinox.registry"/>
<import plugin="org.codehaus.groovy" version="2.5.8" match="greaterOrEqual"/>
<import plugin="org.hamcrest.core" version="1.3.0" match="greaterOrEqual"/>
</requires>
<plugin

Loading…
Cancel
Save